ooo-build r13759 - in trunk: . bin patches/dev300



Author: pmladek
Date: Tue Sep  2 13:41:25 2008
New Revision: 13759
URL: http://svn.gnome.org/viewvc/ooo-build?rev=13759&view=rev

Log:
2008-09-02  Petr Mladek  <pmladek suse cz>

	* patches/dev300/piece-desktop-m30.diff:
	* patches/dev300/piece-desktop.diff:
	* patches/dev300/apply: udpate for ooo300-m4

	* ooo-build/bin/install-mono: rename the .config files to .dll.config
	  to be found by gacutil; also really removed .dlls and config files
	  after they are installed into GAC



Added:
   trunk/patches/dev300/piece-desktop-m30.diff   (props changed)
      - copied unchanged from r13755, /trunk/patches/dev300/piece-desktop.diff
Modified:
   trunk/ChangeLog
   trunk/bin/install-mono
   trunk/patches/dev300/apply
   trunk/patches/dev300/piece-desktop.diff

Modified: trunk/bin/install-mono
==============================================================================
--- trunk/bin/install-mono	(original)
+++ trunk/bin/install-mono	Tue Sep  2 13:41:25 2008
@@ -52,24 +52,28 @@
 # at runtime.
 if test -z "$OODESTDIR" -o -n "$MONO_GAC_ROOT" ; then
     test -n "$MONO_GAC_ROOT" && gacutil_root="-root $OODESTDIR$MONO_GAC_ROOT" || gacutil_root=
-    for dll in ure/lib/cli_basetypes.dll \
-               ure/lib/cli_cppuhelper.dll \
-	       ure/lib/cli_uretypes.dll \
-	       basis$VERSION/program/cli_oootypes.dll \
-	       ure/lib/cli_uno_bridge.dll \
-	       ure/lib/cli_ure.dll ; do
-	gacutil $gacutil_root -i $OOINSTDIR/$dll -package $OOOINSTALLDIRNAME || exit 0
+    for dll_name in ure/lib/cli_basetypes \
+               ure/lib/cli_cppuhelper \
+	       ure/lib/cli_uretypes \
+	       basis$VERSION/program/cli_oootypes \
+	       ure/lib/cli_uno_bridge \
+	       ure/lib/cli_ure ; do
+	# create .config files with correct names
+	test -f $OOINSTDIR/$dll_name.config && mv $OOINSTDIR/$dll_name.config $OOINSTDIR/$dll_name.dll.config
+	gacutil $gacutil_root -i $OOINSTDIR/$dll_name.dll -package $OOOINSTALLDIRNAME || exit 0
 
 	# the original fixes are not longer needed
-	rm -f $OOINSTDIR/basis$VERSION/program/$dll
-	rm -f $OOINSTDIR/basis$VERSION/program/$dll.config
+	rm -f $OOINSTDIR/$dll_name.dll
+	rm -f $OOINSTDIR/$dll_name.dll.config
+	rm -f $OOINSTDIR/$dll_name.config
 
 	# remove the deleted fixes from the filelist
 	if test -n "$OODESTDIR" ; then
-	    file_list=`grep "^$OOINSTBASE/$dll$" $OODESTDIR/gid* | head -n 1 | cut -d: -f1`
-	    test -z "$file_list" && echo "Error: \"$OOINSTBASE/$dll\" has not found in any filelist" && exit 1;
-	    sed -e "s|^$OOINSTBASE/basis$VERSION/$dll$||" \
-	        -e "s|^$OOINSTBASE/basis$VERSION/$dll.config$||" \
+	    file_list=`grep "^$OOINSTBASE/$dll_name.dll$" $OODESTDIR/gid* | head -n 1 | cut -d: -f1`
+	    test -z "$file_list" && echo "Error: \"$OOINSTBASE/$dll_name.dll\" has not found in any filelist" && exit 1;
+	    sed -e "s|^$OOINSTBASE/$dll_name.dll$||" \
+		-e "s|^$OOINSTBASE/$dll_name.dll.config$||" \
+	        -e "s|^$OOINSTBASE/$dll_name.config$||" \
 		$file_list >$file_list.mono
 	    mv $file_list.mono $file_list
 	fi

Modified: trunk/patches/dev300/apply
==============================================================================
--- trunk/patches/dev300/apply	(original)
+++ trunk/patches/dev300/apply	Tue Sep  2 13:41:25 2008
@@ -2524,6 +2524,13 @@
 libwps-testing.diff
 writerperfect-testing.diff
 
+[ PieceBits <= dev300-m30 <= ooo300-m3 ]
+# zipintro is not kind to us ...
+piece-desktop-m30.diff
+[ PieceBits > dev300-m30 > ooo300-m3 ]
+# zipintro is not kind to us ...
+piece-desktop.diff
+
 [ PieceBits ]
 SectionOwner => michael
 # Experimental piece-wise source code split for build
@@ -2536,7 +2543,6 @@
 piece-basic.diff
 piece-svx.diff
 # zipintro is not kind to us ...
-piece-desktop.diff
 piece-scripting.diff
 piece-helpcontent2.diff
 piece-sdext.diff

Modified: trunk/patches/dev300/piece-desktop.diff
==============================================================================
--- trunk/patches/dev300/piece-desktop.diff	(original)
+++ trunk/patches/dev300/piece-desktop.diff	Tue Sep  2 13:41:25 2008
@@ -3,5 +3,5 @@
 @@ -37,4 +37,3 @@
  dt	desktop\source\deployment\registry\executable		nmake	-	all	dt_dp_registry_executable dt_inc NULL
  dt	desktop\scripts 						nmake	-	u	dt_scripts dt_inc NULL
- dt	desktop\util							nmake	-	all	dt_util dt_app dt_so_comp dt_spl dt_uwrapper.u dt_usplash.u dt_wrapper.w dt_officeloader.w dt_migr NULL
+ dt	desktop\util							nmake	-	all	dt_util dt_app dt_so_comp dt_spl dt_uwrapper.u dt_usplash.u dt_wrapper.w dt_officeloader.w dt_officeloader_unx.u dt_migr NULL
 -dt	desktop\zipintro							nmake	-	all	dt_zipintro NULL



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]